com.google.cloud.dataflow.sdk.io

## Interface UnboundedSource.CheckpointMark

All Known Implementing Classes:
  CountingSource.CounterMark

Enclosing class:
  UnboundedSource<OutputT,CheckpointMarkT extends UnboundedSource.CheckpointMark>

    public static interface UnboundedSource.CheckpointMark

A marker representing the progress and state of an `UnboundedSource.UnboundedReader`.

For example, this could be offsets in a set of files being read.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `finalizeCheckpoint()` Perform any finalization that needs to happen after a bundle of data read from the source has been processed and committed.

### Method Detail

#### finalizeCheckpoint

    void finalizeCheckpoint()
                     throws IOException

Perform any finalization that needs to happen after a bundle of data read from the source has been processed and committed.

For example, this could be sending acknowledgement requests to an external data source such as Pub/Sub.

This may be called from any thread, potentially at the same time as calls to the `UnboundedReader` that created it.

Throws:
  `IOException`